Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.borg.model.entity
Class Address

    java.lang.Object
      net.sf.borg.model.entity.KeyedEntity<Address>
          net.sf.borg.model.entity.Address

All Implemented Interfaces:
  Serializable

    public class Address

extends KeyedEntity<Address>

The Address Entity

See Also:
  Serialized Form

Constructor Summary
`Address()`

Method Summary
`protected Address` | `clone()`
`Date` | `getBirthday()` Gets the birthday.
`String` | `getCity()` Gets the city.
`String` | `getCompany()` Gets the company.
`String` | `getCountry()` Gets the country.
`String` | `getEmail()` Gets the email.
`String` | `getFax()` Gets the fax.
`String` | `getFirstName()` Gets the first name.
`String` | `getHomePhone()` Gets the home phone.
`String` | `getLastName()` Gets the last name.
`String` | `getNickname()` Gets the nickname.
`String` | `getNotes()` Gets the notes.
`String` | `getPager()` Gets the pager.
`String` | `getScreenName()` Gets the screen name.
`String` | `getState()` Gets the state.
`String` | `getStreetAddress()` Gets the street address.
`String` | `getWebPage()` Gets the web page.
`String` | `getWorkCity()` Gets the work city.
`String` | `getWorkCountry()` Gets the work country.
`String` | `getWorkPhone()` Gets the work phone.
`String` | `getWorkState()` Gets the work state.
`String` | `getWorkStreetAddress()` Gets the work street address.
`String` | `getWorkZip()` Gets the work zip.
`String` | `getZip()` Gets the zip.
`void` | `setBirthday(Date xx)` Sets the birthday.
`void` | `setCity(String xx)` Sets the city.
`void` | `setCompany(String xx)` Sets the company.
`void` | `setCountry(String xx)` Sets the country.
`void` | `setEmail(String xx)` Sets the email.
`void` | `setFax(String xx)` Sets the fax.
`void` | `setFirstName(String xx)` Sets the first name.
`void` | `setHomePhone(String xx)` Sets the home phone.
`void` | `setLastName(String xx)` Sets the last name.
`void` | `setNickname(String xx)` Sets the nickname.
`void` | `setNotes(String xx)` Sets the notes.
`void` | `setPager(String xx)` Sets the pager.
`void` | `setScreenName(String xx)` Sets the screen name.
`void` | `setState(String xx)` Sets the state.
`void` | `setStreetAddress(String xx)` Sets the street address.
`void` | `setWebPage(String xx)` Sets the web page.
`void` | `setWorkCity(String xx)` Sets the work city.
`void` | `setWorkCountry(String xx)` Sets the work country.
`void` | `setWorkPhone(String xx)` Sets the work phone.
`void` | `setWorkState(String xx)` Sets the work state.
`void` | `setWorkStreetAddress(String xx)` Sets the work street address.
`void` | `setWorkZip(String xx)` Sets the work zip.
`void` | `setZip(String xx)` Sets the zip.

Methods inherited from class net.sf.borg.model.entity.KeyedEntity
`copy, getKey, setKey`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Address

    public Address()

Method Detail

### getFirstName

    public String getFirstName()

  Gets the first name.

  Returns:
    the first name

### setFirstName

    public void setFirstName(String xx)

  Sets the first name.

  Parameters:
    `xx` - the new first name

### getLastName

    public String getLastName()

  Gets the last name.

  Returns:
    the last name

### setLastName

    public void setLastName(String xx)

  Sets the last name.

  Parameters:
    `xx` - the new last name

### getNickname

    public String getNickname()

  Gets the nickname.

  Returns:
    the nickname

### setNickname

    public void setNickname(String xx)

  Sets the nickname.

  Parameters:
    `xx` - the new nickname

### getEmail

    public String getEmail()

  Gets the email.

  Returns:
    the email

### setEmail

    public void setEmail(String xx)

  Sets the email.

  Parameters:
    `xx` - the new email

### getScreenName

    public String getScreenName()

  Gets the screen name.

  Returns:
    the screen name

### setScreenName

    public void setScreenName(String xx)

  Sets the screen name.

  Parameters:
    `xx` - the new screen name

### getWorkPhone

    public String getWorkPhone()

  Gets the work phone.

  Returns:
    the work phone

### setWorkPhone

    public void setWorkPhone(String xx)

  Sets the work phone.

  Parameters:
    `xx` - the new work phone

### getHomePhone

    public String getHomePhone()

  Gets the home phone.

  Returns:
    the home phone

### setHomePhone

    public void setHomePhone(String xx)

  Sets the home phone.

  Parameters:
    `xx` - the new home phone

### getFax

    public String getFax()

  Gets the fax.

  Returns:
    the fax

### setFax

    public void setFax(String xx)

  Sets the fax.

  Parameters:
    `xx` - the new fax

### getPager

    public String getPager()

  Gets the pager.

  Returns:
    the pager

### setPager

    public void setPager(String xx)

  Sets the pager.

  Parameters:
    `xx` - the new pager

### getStreetAddress

    public String getStreetAddress()

  Gets the street address.

  Returns:
    the street address

### setStreetAddress

    public void setStreetAddress(String xx)

  Sets the street address.

  Parameters:
    `xx` - the new street address

### getCity

    public String getCity()

  Gets the city.

  Returns:
    the city

### setCity

    public void setCity(String xx)

  Sets the city.

  Parameters:
    `xx` - the new city

### getState

    public String getState()

  Gets the state.

  Returns:
    the state

### setState

    public void setState(String xx)

  Sets the state.

  Parameters:
    `xx` - the new state

### getZip

    public String getZip()

  Gets the zip.

  Returns:
    the zip

### setZip

    public void setZip(String xx)

  Sets the zip.

  Parameters:
    `xx` - the new zip

### getCountry

    public String getCountry()

  Gets the country.

  Returns:
    the country

### setCountry

    public void setCountry(String xx)

  Sets the country.

  Parameters:
    `xx` - the new country

### getCompany

    public String getCompany()

  Gets the company.

  Returns:
    the company

### setCompany

    public void setCompany(String xx)

  Sets the company.

  Parameters:
    `xx` - the new company

### getWorkStreetAddress

    public String getWorkStreetAddress()

  Gets the work street address.

  Returns:
    the work street address

### setWorkStreetAddress

    public void setWorkStreetAddress(String xx)

  Sets the work street address.

  Parameters:
    `xx` - the new work street address

### getWorkCity

    public String getWorkCity()

  Gets the work city.

  Returns:
    the work city

### setWorkCity

    public void setWorkCity(String xx)

  Sets the work city.

  Parameters:
    `xx` - the new work city

### getWorkState

    public String getWorkState()

  Gets the work state.

  Returns:
    the work state

### setWorkState

    public void setWorkState(String xx)

  Sets the work state.

  Parameters:
    `xx` - the new work state

### getWorkZip

    public String getWorkZip()

  Gets the work zip.

  Returns:
    the work zip

### setWorkZip

    public void setWorkZip(String xx)

  Sets the work zip.

  Parameters:
    `xx` - the new work zip

### getWorkCountry

    public String getWorkCountry()

  Gets the work country.

  Returns:
    the work country

### setWorkCountry

    public void setWorkCountry(String xx)

  Sets the work country.

  Parameters:
    `xx` - the new work country

### getWebPage

    public String getWebPage()

  Gets the web page.

  Returns:
    the web page

### setWebPage

    public void setWebPage(String xx)

  Sets the web page.

  Parameters:
    `xx` - the new web page

### getNotes

    public String getNotes()

  Gets the notes.

  Returns:
    the notes

### setNotes

    public void setNotes(String xx)

  Sets the notes.

  Parameters:
    `xx` - the new notes

### getBirthday

    public Date getBirthday()

  Gets the birthday.

  Returns:
    the birthday

### setBirthday

    public void setBirthday(Date xx)

  Sets the birthday.

  Parameters:
    `xx` - the new birthday

### clone

    protected Address clone()

  Overrides:
    `clone` in class `KeyedEntity<Address>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic